## net.dontdrinkandroot.persistence.filter
Interface Filter<T>

All Known Implementing Classes:
  AbstractFilter, NullFilter, NumericFilter

    public interface Filter<T>

Method Summary
`javax.persistence.criteria.Predicate` `createPredicate(javax.persistence.criteria.CriteriaBuilder builder, javax.persistence.criteria.Path<? extends T> path)`
`java.lang.String` `getName()`

Method Detail

### getName

    java.lang.String getName()

### createPredicate

    javax.persistence.criteria.Predicate createPredicate(javax.persistence.criteria.CriteriaBuilder builder,
                                                         javax.persistence.criteria.Path<? extends T> path)

Copyright © 2013 dontdrinkandroot. All Rights Reserved.